claw::pattern::basic_singleton< T > Class Template Reference

A (really) basic implementation of the singleton design pattern. More...

`#include <basic_singleton.hpp>`

Inheritance diagram for claw::pattern::basic_singleton< T >:

## Static Public Member Functions

static T & | get_instance ()

## Additional Inherited Members

Public Member Functions inherited from claw::pattern::non_copyable
| non_copyable ()
| Default constructor.

## Detailed Description

template<class T>
class claw::pattern::basic_singleton< T >

A (really) basic implementation of the singleton design pattern.

Author
  Julien Jorge

Definition at line 44 of file basic_singleton.hpp.

The documentation for this class was generated from the following file:

- basic_singleton.hpp